There seems to be some instability with the installer

Bug #439279 reported by Dave Morley on 2009-09-30
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Wubi
High
Unassigned
casper (Ubuntu)
High
Colin Watson

Bug Description

Sometimes for no loggable reason the install process in wubi freezes.

Temporary work round at this time is to reboot and select the wubi install again. On the second attempt it should work.

Dave Morley (davmor2) wrote :

This is the syslog from 20090929.2
there was no grub.cfg

Dave Morley (davmor2) wrote :

This is the syslog from 20090930 Kubuntu

Dave Morley (davmor2) wrote :

this is the grub.cfg

Evan (ev) wrote :

I've encountered this as well. I'm getting to "scanning disks" and then it locks up (20090929.2, amd64, wubi on Windows 7). Logs to follow.

Evan (ev) wrote :
Evan (ev) wrote :

Ignore the last line in this ubiquity debug log.

Evan (ev) wrote :
Evan (ev) wrote :

Again, ignore the bogus Firefox and xterm processes.

Agostino Russo (ago) wrote :

Is anyone experiencing this post-beta? Works here.

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :

Microsoft Windows [Version 6.0.6002]
Copyright (c) 2006 Microsoft Corporation. All rights reserved.

C:\Users\davmor2>dir /S c:\ubuntu
 Volume in drive C is Vista
 Volume Serial Number is 863C-4B7F

 Directory of c:\ubuntu

09/10/2009 09:49 <DIR> .
09/10/2009 09:49 <DIR> ..
09/10/2009 09:51 <DIR> disks
09/10/2009 11:06 <DIR> install
09/10/2009 09:49 22,486 Kubuntu.ico
09/10/2009 09:48 1,434,515 uninstall-wubi.exe
09/10/2009 09:49 <DIR> winboot
               2 File(s) 1,457,001 bytes

 Directory of c:\ubuntu\disks

09/10/2009 09:51 <DIR> .
09/10/2009 09:51 <DIR> ..
09/10/2009 09:48 <DIR> boot
09/10/2009 11:21 17,557,356,544 root.disk
09/10/2009 10:57 268,435,456 swap.disk
               2 File(s) 17,825,792,000 bytes

 Directory of c:\ubuntu\disks\boot

09/10/2009 09:48 <DIR> .
09/10/2009 09:48 <DIR> ..
09/10/2009 09:48 <DIR> grub
               0 File(s) 0 bytes

 Directory of c:\ubuntu\disks\boot\grub

09/10/2009 09:48 <DIR> .
09/10/2009 09:48 <DIR> ..
               0 File(s) 0 bytes

 Directory of c:\ubuntu\install

09/10/2009 11:06 <DIR> .
09/10/2009 11:06 <DIR> ..
09/10/2009 09:51 712,452,096 .fuse_hidden0000000400000001
               1 File(s) 712,452,096 bytes

 Directory of c:\ubuntu\winboot

09/10/2009 09:49 <DIR> .
09/10/2009 09:49 <DIR> ..
09/10/2009 09:44 80,117 wubildr
09/10/2009 09:44 1,076 wubildr.cfg
09/10/2009 09:44 8,192 wubildr.mbr
               3 File(s) 89,385 bytes

     Total Files Listed:
               8 File(s) 18,539,790,482 bytes
              17 Dir(s) 96,501,747,712 bytes free

C:\Users\davmor2>

Dave Morley (davmor2) wrote :

C:\Users\davmor2>dir c:\
 Volume in drive C is Vista
 Volume Serial Number is 863C-4B7F

 Directory of c:\

20/09/2007 15:27 <DIR> Applications
18/09/2006 22:43 24 autoexec.bat
06/04/2009 14:20 <DIR> Intel
09/07/2009 20:25 <DIR> PerfLogs
03/09/2009 17:27 <DIR> Program Files
09/10/2009 09:49 <DIR> ubuntu
06/04/2009 14:35 <DIR> Users
03/09/2009 17:46 <DIR> Windows
09/10/2009 09:51 80,117 wubildr
09/10/2009 09:51 8,192 wubildr.mbr
               3 File(s) 88,333 bytes
               7 Dir(s) 94,146,600,960 bytes free

C:\Users\davmor2>

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Agostino Russo (ago) on 2009-10-10
Changed in wubi:
importance: Undecided → High
status: New → Confirmed
moonthorn (m-coenen) wrote :

Tested this on a Vista machine, and I see this too. It stops at 'scanning disk(s)'.

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Colin Watson (cjwatson) on 2009-10-20
Changed in casper (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.205

---------------
casper (1.205) karmic; urgency=low

  * scripts/casper-bottom/25configure_init: Disable sreadahead on live CD
    boot. Not only does it profile the live CD boot to no benefit, but it
    also looks as if it may be responsible for breaking Wubi installs by
    reading from partman's synchronisation FIFOs (LP: #439279).

 -- Colin Watson <email address hidden> Tue, 20 Oct 2009 17:32:02 +0100

Changed in casper (Ubuntu):
status: In Progress → Fix Released
Agostino Russo (ago) wrote :

Couldn't wait for the ISO, so I tested by using break=bottom and modifying 25configure_init via sed.
I did a clean installation, which used to jam consistently for me.
It worked very well, bunch of thanks to Colin.

Changed in wubi:
status: Confirmed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers